std::__atomic_base< _PTp * > Struct Template Reference
Atomics

## Public Member Functions

constexpr | __atomic_base (__pointer_type __p) noexcept
| __atomic_base (const __atomic_base &)=delete
| __attribute__ ((__always_inline__)) void store(__pointer_type __p
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatile noexcept
| operator __pointer_type () const noexcept
| operator __pointer_type () const volatile noexcept
__pointer_type | operator++ () noexcept
__pointer_type | operator++ () volatile noexcept
__pointer_type | operator++ (int) noexcept
__pointer_type | operator++ (int) volatile noexcept
__pointer_type | operator+= (ptrdiff_t __d) noexcept
__pointer_type | operator+= (ptrdiff_t __d) volatile noexcept
__pointer_type | operator-- () noexcept
__pointer_type | operator-- () volatile noexcept
__pointer_type | operator-- (int) noexcept
__pointer_type | operator-- (int) volatile noexcept
__pointer_type | operator-= (ptrdiff_t __d) noexcept
__pointer_type | operator-= (ptrdiff_t __d) volatile noexcept
__pointer_type | operator= (__pointer_type __p) noexcept
__pointer_type | operator= (__pointer_type __p) volatile noexcept
__atomic_base & | operator= (const __atomic_base &) volatile=delete
__atomic_base & | operator= (const __atomic_base &)=delete

## Detailed Description

### template<typename _PTp>
struct std::__atomic_base< _PTp * >

Partial specialization for pointer types.

Definition at line 592 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h